/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author Jaime
 */         
import javax.swing.*;
import java.awt.event.*;
import java.util.ArrayList;

/**
 *
 * @author Jaime
 */
public class SelectableTile extends JLabel{
   
   private static int SIZE = 32; //pixels
   private static ImageIcon TileSelected     = new ImageIcon("./image/Selected.png");
   private static ImageIcon TileDeselected   = new ImageIcon("./image/Transparent.png");
   private boolean Selected;
   private int xpos;
   private int ypos;
   
    /**
     *
     */
    public SelectableTile(){
      this.setIcon(TileDeselected);
      Selected = false;
      xpos=0;
      ypos=0;
   }

    /**
     *
     * @param x
     * @param y
     * @param panel
     */
    public SelectableTile(int x,int y,SelectGridTSConfig panel){
      this.setIcon(TileDeselected);
      Selected = false;
      xpos=x;
      ypos=y;
      this.addMouseListener(new TileInteraction(this,panel));
   }
   
    /**
     *
     */
    public void TileClicked(){
      if(Selected){
         Selected = false;
         this.setIcon(TileDeselected);
      }
      else{
         Selected = true;
         this.setIcon(TileSelected);
      }
   }

    /**
     *
     * @return
     */
    public int getxPos(){
       return xpos;
   }

    /**
     *
     * @return
     */
    public int getyPos(){
       return ypos;
   }

    /**
     *
     * @return
     */
    public boolean getstate(){
       return Selected;
   }

    /**
     *
     */
    public void UnselectTile(){
       Selected = false;
       this.setIcon(TileDeselected);
   }
}
